: Get news for an app

API: steampowered.com:steam
Endpoint: /ISteamNews/GetNewsForApp/v2/
Response format: text/plain
Auth: unknown
Method: GET
Last Status: 200
Latency: 479ms

Description

Returns the latest news items for a specified application/game. Can filter by date, count, and tags.

Parameters (7)

appid (integer, query, required)

AppID to retrieve news for (e.g., 440 for Team Fortress 2, 730 for Counter-Strike 2)

count (integer, query, optional, default: 20)

Number of news items to retrieve (max 100)

Constraints: {'maximum': 100}

enddate (integer, query, optional)

Unix timestamp to get news items before this date

feeds (string, query, optional)

Comma-separated list of feed names to filter by

format (string, query, optional, default: json)

Response format

maxlength (integer, query, optional, default: 0)

Maximum length of each news item content (0 for full content)

tags (string, query, optional)

Comma-separated list of tags to filter by (e.g., 'patchnotes,events')

Examples (2)

Get news for an app openapi-spec
curl 'https://api.steampowered.com/ISteamNews/GetNewsForApp/v2/?appid=440'
import requests

resp = requests.get(
    "https://api.steampowered.com/ISteamNews/GetNewsForApp/v2/",
    params={
        'appid': '440',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("steampowered")
result = api.fetch("ISteamNews/GetNewsForApp/v2/", appid=440)

for item in result:
    print(item)
const resp = await fetch("https://api.steampowered.com/ISteamNews/GetNewsForApp/v2/?appid=440");
const data = await resp.json();
Get news for an app probe-gate
curl 'https://api.steampowered.com/ISteamNews/GetNewsForApp/v2/?appid=440&maxlength=0&count=20&format=json'
import requests

resp = requests.get(
    "https://api.steampowered.com/ISteamNews/GetNewsForApp/v2/",
    params={
        'appid': '440',
        'maxlength': '0',
        'count': '20',
        'format': 'json',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("steampowered")
result = api.fetch("ISteamNews/GetNewsForApp/v2/", appid=440, maxlength=0, count=20, format="json")

for item in result:
    print(item)
const resp = await fetch("https://api.steampowered.com/ISteamNews/GetNewsForApp/v2/?appid=440&maxlength=0&count=20&format=json");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 03:32:46.293916 200 479ms
2026-04-16 00:06:26.808255 200 318ms
2026-04-15 02:17:32.346651 200 506ms
2026-04-15 02:00:33.739199 200 341ms
2026-04-14 02:31:59.146792 200 465ms
2026-04-14 00:09:09.974686 200 328ms
2026-04-12 15:38:29.470441 200 467ms
2026-04-12 13:18:07.575875 200 348ms
2026-04-10 04:16:47.400695 200 1075ms
2026-04-10 03:13:10.632830 200 326ms
2026-04-09 03:15:57.634644 200 323ms
2026-04-09 01:21:20.249729 200 335ms
2026-03-28T07:16:11.667088 200 610ms